지정된 프로젝트의 설정을 업데이트합니다. 사용 가능한 모든 옵션을 업데이트할 수 있습니다. MongoDB Cloud는 요청에 제공된 옵션만 업데이트합니다.
프로젝트 식별하는 고유한 24-16진수 문자열입니다. 인증된 사용자가 액세스 할 수 있는 모든 프로젝트를 조회 하려면 /groups 엔드포인트를 사용합니다.
참고: 그룹과 프로젝트는 동의어입니다. 그룹 ID는 프로젝트 ID와 동일합니다. 기존 그룹의 경우, 그룹/프로젝트 ID는 동일하게 유지됩니다. 리소스 및 해당 엔드포인트는 그룹이라는 용어를 사용합니다.
형식은 ^([a-f0-9]{24})$ 패턴 과 일치해야 합니다.
애플리케이션이 응답을 envelope JSON 객체로 래핑할지 여부를 나타내는 플래그입니다. 일부 API 클라이언트는 HTTP 응답 헤더 또는 상태 코드에 액세스할 수 없습니다. 이 문제를 해결하려면 쿼리에서 envelope=true를 설정합니다. 결과 목록을 반환하는 엔드포인트는 결과 객체를 엔벨로프로 사용합니다. 애플리케이션은 응답 본문에 상태 매개변수를 추가합니다.
기본값은 false 입니다.
응답 본문이 프리티프린트 형식이어야 하는지 여부를 나타내는 플래그입니다.
기본값은 false 입니다.
업데이트할 설정입니다.
Atlas 홈 페이지의 MongoDB Assistant가 지정된 프로젝트에서 활성화되어 있는지 여부를 나타내는 플래그입니다.
Flag that indicates whether the AI Cluster Assistant is enabled for the specified project.
지정된 프로젝트의 데이터베이스별 지표를 수집할지 여부를 나타내는 플래그입니다.
지정된 프로젝트의 데이터 탐색기를 활성화할지 여부를 나타내는 플래그입니다.
지정된 프로젝트에 대해 데이터 탐색기에서 제3자 서비스에 요청하는 생성형 인공지능 기능 사용을 활성화할지 여부를 나타내는 플래그입니다.
지정된 프로젝트의 데이터 탐색기에서 생성형 인공지능 기능을 사용하여 샘플 필드 값 전달을 활성화할지 여부를 나타내는 플래그입니다.
기본값은 false 입니다.
지정된 프로젝트의 모든 클러스터에 대한 데이터 유효성 검사가 활성화되어 있는지 여부를 나타내는 플래그입니다.
지정된 프로젝트의 확장 저장소 크기를 활성화할지 여부를 나타내는 플래그입니다.
지정된 프로젝트 에 대해 집계 파이프라인에서 Voyage AI 모델을 사용한 네이티브 Reranking을 활성화 할지 여부를 나타내는 플래그입니다.
지정된 프로젝트의 Performance Advisor 및 프로파일러를 활성화할지 여부를 나타내는 플래그입니다.
지정된 프로젝트의 실시간 성능 패널을 활성화할지 여부를 나타내는 플래그입니다.
지정된 프로젝트의 스키마 관리자를 활성화할지 여부를 나타내는 플래그입니다.
프로젝트 비공개 엔드포인트 연결 문자열 리소스 사용하는지 여부를 나타내는 플래그입니다.
기본값은 false 입니다.
curl \
--request PATCH 'https://cloud.mongodb.com/api/atlas/v1.0/groups/32b6e34b3d91647abb20e7b8/settings' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--data '{
"isAtlasHomePageAiAssistantEnabled": true,
"isClusterAiAssistantEnabled": true,
"isCollectDatabaseSpecificsStatisticsEnabled": true,
"isDataExplorerEnabled": true,
"isDataExplorerGenAIFeaturesEnabled": true,
"isDataExplorerGenAISampleDocumentPassingEnabled": false,
"isDataValidationEnabled": true,
"isExtendedStorageSizesEnabled": true,
"isNativeRerankingEnabled": true,
"isPerformanceAdvisorEnabled": true,
"isRealtimePerformancePanelEnabled": true,
"isSchemaAdvisorEnabled": true,
"privateEndpointConnectionStringsEnabled": false
}'
{
"isAtlasHomePageAiAssistantEnabled": true,
"isClusterAiAssistantEnabled": true,
"isCollectDatabaseSpecificsStatisticsEnabled": true,
"isDataExplorerEnabled": true,
"isDataExplorerGenAIFeaturesEnabled": true,
"isDataExplorerGenAISampleDocumentPassingEnabled": false,
"isDataValidationEnabled": true,
"isExtendedStorageSizesEnabled": true,
"isNativeRerankingEnabled": true,
"isPerformanceAdvisorEnabled": true,
"isRealtimePerformancePanelEnabled": true,
"isSchemaAdvisorEnabled": true,
"privateEndpointConnectionStringsEnabled": false
}
{
"isAtlasHomePageAiAssistantEnabled": true,
"isClusterAiAssistantEnabled": true,
"isCollectDatabaseSpecificsStatisticsEnabled": true,
"isDataExplorerEnabled": true,
"isDataExplorerGenAIFeaturesEnabled": true,
"isDataExplorerGenAISampleDocumentPassingEnabled": false,
"isDataValidationEnabled": true,
"isExtendedStorageSizesEnabled": true,
"isNativeRerankingEnabled": true,
"isPerformanceAdvisorEnabled": true,
"isRealtimePerformancePanelEnabled": true,
"isSchemaAdvisorEnabled": true,
"privateEndpointConnectionStringsEnabled": false
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"error": 401,
"errorCode": "NOT_ORG_GROUP_CREATOR",
"reason": "Unauthorized"
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"error": 403,
"errorCode": "CANNOT_CHANGE_GROUP_NAME",
"reason": "Forbidden"
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint) Cannot find resource AWS",
"error": 404,
"errorCode": "RESOURCE_NOT_FOUND",
"reason": "Not Found"
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"error": 500,
"errorCode": "UNEXPECTED_ERROR",
"reason": "Internal Server Error"
}